For AI agents: a documentation index is available at https://www.mongodb.com/docs/llms.txt — markdown versions of all pages are available by appending .md to any URL path.
See how MongoDB 9.0 delivers up to 2x higher throughput.
MongoDB Branding Shape
Register now >
Docs Menu

Get All Service Account Project Assignments

Base URL: https://cloud.mongodb.com/api/public/v1.0

GET /orgs/{ORG-ID}/serviceAccounts/{CLIENT-ID}/groups
Name
Type
Description

ORG-ID

string

The unique identifier for the organization whose service account you want to retrieve. Use the /orgs endpoint to retrieve all organizations to which the authenticated user has access.

CLIENT-ID

string

The unique identifier for the service account you want to retrieve. Request the /orgs/{ORG-ID}/serviceAccounts endpoint to retrieve all service accounts for the specified organization to which the authenticated user has access.

The following query parameters are optional:

Name
Type
Description
Default

pageNum

integer

Page number (1-index based).

1

itemsPerPage

integer

Number of items to return per page, up to a maximum of 500.

100

pretty

boolean

Indicates whether to return the response body in a prettyprint format.

false

envelope

boolean

Indicates whether to wrap the response in an envelope.

Some API clients can't access the HTTP response headers or status code. To remediate this, set "envelope" : true in the query.

For endpoints that return one result, response body includes:

  • status: HTTP response code

  • content: Expected response body

For endpoints that return a list of results, the results object is an envelope. Cloud Manager adds the status field to the response body.

None

The response JSON document includes an array of result objects, an array of link objects and a count of the total number of result objects retrieved.

Name
Type
Description

results

array

Array includes one object for each item detailed in the results Embedded Document section.

links

array

Array includes one or more links to sub-resources and/or related resources. The relations between URLs are explained in the Web Linking Specification.

totalCount

number

Integer count of the total number of items in the result set. It may be greater than the number of objects in the results array if the entire result set is paginated.

Each result is one project assigned to the service account.

Name
Type
Description

groupId

string

Unique identifier for the assigned project.

Note

The user who makes the request can be formatted as {PUBLIC-KEY}:{PRIVATE-KEY}.

curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \
--header "Accept: application/json" \
--include \
--request GET "https://cloud.mongodb.com/api/public/v1.0/orgs/{ORG-ID}/serviceAccounts/{CLIENT-ID}/groups/?pretty=true"
HTTP/1.1 401 Unauthorized
Content-Type: application/json;charset=ISO-8859-1
Date: {dateInUnixFormat}
WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=false
Content-Length: {requestLengthInBytes}
Connection: keep-alive
HTTP/1.1 200 OK
Vary: Accept-Encoding
Content-Type: application/json
Strict-Transport-Security: max-age=300
Date: {dateInUnixFormat}
Connection: keep-alive
Content-Length: {requestLengthInBytes}
X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}
{
"links": [
{
"href": "https://cloud.mongodb.com/api/public/v1.0/orgs/1234567890abcdef12345678/serviceAccounts/mdb_sa_id_66ae38803cdf55582cb01144/groups/?pretty=true&pageNum=1&itemsPerPage=100",
"rel": "self"
}
],
"results": [
{
"groupId" : "66ae30345fe4416479e39269"
}
]
},
{
"groupId" : "79ih30345ks4416479e39464"
}
]
},
{
"groupId" : "35ih30345pw4416479e30732"
}
]
}
],
"totalCount": 3
}